<?xml version="1.0" encoding="utf-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template match="doxygen">
<xsl:call-template name="DoxygenType"/>
</xsl:template>
<xsl:template name="DoxygenType">
<xsl:apply-templates mode="DoxygenType"/>
</xsl:template>
<xsl:template match="compounddef" mode="DoxygenType">
<xsl:call-template name="compounddefType"/>
</xsl:template>
<xsl:template name="compounddefType">
<xsl:apply-templates mode="compounddefType"/>
</xsl:template>
<xsl:template match="compoundname" mode="compounddefType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="title" mode="compounddefType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="basecompoundref" mode="compounddefType">
<xsl:call-template name="compoundRefType"/>
</xsl:template>
<xsl:template match="derivedcompoundref" mode="compounddefType">
<xsl:call-template name="compoundRefType"/>
</xsl:template>
<xsl:template match="includes" mode="compounddefType">
<xsl:call-template name="incType"/>
</xsl:template>
<xsl:template match="includedby" mode="compounddefType">
<xsl:call-template name="incType"/>
</xsl:template>
<xsl:template match="incdepgraph" mode="compounddefType">
<xsl:call-template name="graphType"/>
</xsl:template>
<xsl:template match="invincdepgraph" mode="compounddefType">
<xsl:call-template name="graphType"/>
</xsl:template>
<xsl:template match="innerdir" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="innerfile" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="innerclass" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="innernamespace" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="innerpage" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="innergroup" mode="compounddefType">
<xsl:call-template name="refType"/>
</xsl:template>
<xsl:template match="templateparamlist" mode="compounddefType">
<xsl:call-template name="templateparamlistType"/>
</xsl:template>
<xsl:template match="sectiondef" mode="compounddefType">
<xsl:call-template name="sectiondefType"/>
</xsl:template>
<xsl:template match="briefdescription" mode="compounddefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="detaileddescription" mode="compounddefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="inheritancegraph" mode="compounddefType">
<xsl:call-template name="graphType"/>
</xsl:template>
<xsl:template match="collaborationgraph" mode="compounddefType">
<xsl:call-template name="graphType"/>
</xsl:template>
<xsl:template match="programlisting" mode="compounddefType">
<xsl:call-template name="listingType"/>
</xsl:template>
<xsl:template match="location" mode="compounddefType">
<xsl:call-template name="locationType"/>
</xsl:template>
<xsl:template match="listofallmembers" mode="compounddefType">
<xsl:call-template name="listofallmembersType"/>
</xsl:template>
<xsl:template name="listofallmembersType">
<xsl:apply-templates mode="listofallmembersType"/>
</xsl:template>
<xsl:template match="member" mode="listofallmembersType">
<xsl:call-template name="memberRefType"/>
</xsl:template>
<xsl:template name="memberRefType">
<xsl:apply-templates mode="memberRefType"/>
</xsl:template>
<xsl:template name="compoundRefType">
<xsl:apply-templates mode="compoundRefType"/>
</xsl:template>
<xsl:template name="reimplementType">
<xsl:apply-templates mode="reimplementType"/>
</xsl:template>
<xsl:template name="incType">
<xsl:apply-templates mode="incType"/>
</xsl:template>
<xsl:template name="refType">
<xsl:apply-templates mode="refType"/>
</xsl:template>
<xsl:template name="refTextType">
<xsl:apply-templates mode="refTextType"/>
</xsl:template>
<xsl:template name="sectiondefType">
<xsl:apply-templates mode="sectiondefType"/>
</xsl:template>
<xsl:template match="header" mode="sectiondefType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="description" mode="sectiondefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="memberdef" mode="sectiondefType">
<xsl:call-template name="memberdefType"/>
</xsl:template>
<xsl:template name="memberdefType">
<xsl:apply-templates mode="memberdefType"/>
</xsl:template>
<xsl:template match="templateparamlist" mode="memberdefType">
<xsl:call-template name="templateparamlistType"/>
</xsl:template>
<xsl:template match="type" mode="memberdefType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="reimplements" mode="memberdefType">
<xsl:call-template name="reimplementType"/>
</xsl:template>
<xsl:template match="reimplementedby" mode="memberdefType">
<xsl:call-template name="reimplementType"/>
</xsl:template>
<xsl:template match="param" mode="memberdefType">
<xsl:call-template name="paramType"/>
</xsl:template>
<xsl:template match="enumvalue" mode="memberdefType">
<xsl:call-template name="enumvalueType"/>
</xsl:template>
<xsl:template match="initializer" mode="memberdefType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="exceptions" mode="memberdefType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="briefdescription" mode="memberdefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="detaileddescription" mode="memberdefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="inbodydescription" mode="memberdefType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="location" mode="memberdefType">
<xsl:call-template name="locationType"/>
</xsl:template>
<xsl:template match="references" mode="memberdefType">
<xsl:call-template name="referenceType"/>
</xsl:template>
<xsl:template match="referencedby" mode="memberdefType">
<xsl:call-template name="referenceType"/>
</xsl:template>
<xsl:template match="*" mode="descriptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="descriptionType">
<xsl:apply-templates mode="descriptionType"/>
</xsl:template>
<xsl:template match="title" mode="descriptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="para" mode="descriptionType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect1" mode="descriptionType">
<xsl:call-template name="docSect1Type"/>
</xsl:template>
<xsl:template match="internal" mode="descriptionType">
<xsl:call-template name="docInternalType"/>
</xsl:template>
<xsl:template match="*" mode="enumvalueType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="enumvalueType">
<xsl:apply-templates mode="enumvalueType"/>
</xsl:template>
<xsl:template match="initializer" mode="enumvalueType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="briefdescription" mode="enumvalueType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="detaileddescription" mode="enumvalueType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template name="templateparamlistType">
<xsl:apply-templates mode="templateparamlistType"/>
</xsl:template>
<xsl:template match="param" mode="templateparamlistType">
<xsl:call-template name="paramType"/>
</xsl:template>
<xsl:template name="paramType">
<xsl:apply-templates mode="paramType"/>
</xsl:template>
<xsl:template match="type" mode="paramType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="defval" mode="paramType">
<xsl:call-template name="linkedTextType"/>
</xsl:template>
<xsl:template match="briefdescription" mode="paramType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template match="*" mode="linkedTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="linkedTextType">
<xsl:apply-templates mode="linkedTextType"/>
</xsl:template>
<xsl:template match="ref" mode="linkedTextType">
<xsl:call-template name="refTextType"/>
</xsl:template>
<xsl:template name="graphType">
<xsl:apply-templates mode="graphType"/>
</xsl:template>
<xsl:template match="node" mode="graphType">
<xsl:call-template name="nodeType"/>
</xsl:template>
<xsl:template name="nodeType">
<xsl:apply-templates mode="nodeType"/>
</xsl:template>
<xsl:template match="link" mode="nodeType">
<xsl:call-template name="linkType"/>
</xsl:template>
<xsl:template match="childnode" mode="nodeType">
<xsl:call-template name="childnodeType"/>
</xsl:template>
<xsl:template name="childnodeType">
<xsl:apply-templates mode="childnodeType"/>
</xsl:template>
<xsl:template name="linkType">
<xsl:apply-templates mode="linkType"/>
</xsl:template>
<xsl:template name="listingType">
<xsl:apply-templates mode="listingType"/>
</xsl:template>
<xsl:template match="codeline" mode="listingType">
<xsl:call-template name="codelineType"/>
</xsl:template>
<xsl:template name="codelineType">
<xsl:apply-templates mode="codelineType"/>
</xsl:template>
<xsl:template match="highlight" mode="codelineType">
<xsl:call-template name="highlightType"/>
</xsl:template>
<xsl:template match="*" mode="highlightType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="highlightType">
<xsl:apply-templates mode="highlightType"/>
</xsl:template>
<xsl:template match="ref" mode="highlightType">
<xsl:call-template name="refTextType"/>
</xsl:template>
<xsl:template match="*" mode="referenceType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="referenceType">
<xsl:apply-templates mode="referenceType"/>
</xsl:template>
<xsl:template name="locationType">
<xsl:apply-templates mode="locationType"/>
</xsl:template>
<xsl:template match="*" mode="docSect1Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docSect1Type">
<xsl:apply-templates mode="docSect1Type"/>
</xsl:template>
<xsl:template match="title" mode="docSect1Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="para" mode="docSect1Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect2" mode="docSect1Type">
<xsl:call-template name="docSect2Type"/>
</xsl:template>
<xsl:template match="internal" mode="docSect1Type">
<xsl:call-template name="docInternalS1Type"/>
</xsl:template>
<xsl:template match="*" mode="docSect2Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docSect2Type">
<xsl:apply-templates mode="docSect2Type"/>
</xsl:template>
<xsl:template match="title" mode="docSect2Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="para" mode="docSect2Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect3" mode="docSect2Type">
<xsl:call-template name="docSect3Type"/>
</xsl:template>
<xsl:template match="internal" mode="docSect2Type">
<xsl:call-template name="docInternalS2Type"/>
</xsl:template>
<xsl:template match="*" mode="docSect3Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docSect3Type">
<xsl:apply-templates mode="docSect3Type"/>
</xsl:template>
<xsl:template match="title" mode="docSect3Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="para" mode="docSect3Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect4" mode="docSect3Type">
<xsl:call-template name="docSect4Type"/>
</xsl:template>
<xsl:template match="internal" mode="docSect3Type">
<xsl:call-template name="docInternalS3Type"/>
</xsl:template>
<xsl:template match="*" mode="docSect4Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docSect4Type">
<xsl:apply-templates mode="docSect4Type"/>
</xsl:template>
<xsl:template match="title" mode="docSect4Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="para" mode="docSect4Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="internal" mode="docSect4Type">
<xsl:call-template name="docInternalS4Type"/>
</xsl:template>
<xsl:template match="*" mode="docInternalType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docInternalType">
<xsl:apply-templates mode="docInternalType"/>
</xsl:template>
<xsl:template match="para" mode="docInternalType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect1" mode="docInternalType">
<xsl:call-template name="docSect1Type"/>
</xsl:template>
<xsl:template match="*" mode="docInternalS1Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docInternalS1Type">
<xsl:apply-templates mode="docInternalS1Type"/>
</xsl:template>
<xsl:template match="para" mode="docInternalS1Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect2" mode="docInternalS1Type">
<xsl:call-template name="docSect2Type"/>
</xsl:template>
<xsl:template match="*" mode="docInternalS2Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docInternalS2Type">
<xsl:apply-templates mode="docInternalS2Type"/>
</xsl:template>
<xsl:template match="para" mode="docInternalS2Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect3" mode="docInternalS2Type">
<xsl:call-template name="docSect3Type"/>
</xsl:template>
<xsl:template match="*" mode="docInternalS3Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docInternalS3Type">
<xsl:apply-templates mode="docInternalS3Type"/>
</xsl:template>
<xsl:template match="para" mode="docInternalS3Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect3" mode="docInternalS3Type">
<xsl:call-template name="docSect4Type"/>
</xsl:template>
<xsl:template match="*" mode="docInternalS4Type">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docInternalS4Type">
<xsl:apply-templates mode="docInternalS4Type"/>
</xsl:template>
<xsl:template match="para" mode="docInternalS4Type">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="*" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docTitleType">
<xsl:apply-templates mode="docTitleType"/>
</xsl:template>
<xsl:template match="ulink" mode="docTitleType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docTitleType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docTitleType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docTitleType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docTitleType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docTitleType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docTitleType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docTitleType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docTitleType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docTitleType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docTitleType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docTitleType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docTitleType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docTitleType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docTitleType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docTitleType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docTitleType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docTitleType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docTitleType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docTitleType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docTitleType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docTitleType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docTitleType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docTitleType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docTitleType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docTitleType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docTitleType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docTitleType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docTitleType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docTitleType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docTitleType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docTitleType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docTitleType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docTitleType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docTitleType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docTitleType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docTitleType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docTitleType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docTitleType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docTitleType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docTitleType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docTitleType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docTitleType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docTitleType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docTitleType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docTitleType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docTitleType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docTitleType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docTitleType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docTitleType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docTitleType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docTitleType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docTitleType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docTitleType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docTitleType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docTitleType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docTitleType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docTitleType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docTitleType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docTitleType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docTitleType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docTitleType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docTitleType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docTitleType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docTitleType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docTitleType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docTitleType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docTitleType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docTitleType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docTitleType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docTitleType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docTitleType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docTitleType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docTitleType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docTitleType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docTitleType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docTitleType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docTitleType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docTitleType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docTitleType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docTitleType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docTitleType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docTitleType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docTitleType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docTitleType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docTitleType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docTitleType">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docParaType">
<xsl:apply-templates mode="docParaType"/>
</xsl:template>
<xsl:template match="ulink" mode="docParaType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docParaType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docParaType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docParaType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docParaType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docParaType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docParaType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docParaType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docParaType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docParaType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docParaType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docParaType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docParaType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docParaType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docParaType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docParaType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docParaType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docParaType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docParaType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docParaType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docParaType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docParaType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docParaType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docParaType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docParaType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docParaType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docParaType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docParaType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docParaType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docParaType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docParaType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docParaType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docParaType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docParaType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docParaType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docParaType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docParaType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docParaType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docParaType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docParaType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docParaType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docParaType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docParaType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docParaType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docParaType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docParaType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docParaType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docParaType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docParaType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docParaType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docParaType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docParaType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docParaType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docParaType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docParaType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docParaType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docParaType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docParaType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docParaType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docParaType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docParaType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docParaType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docParaType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docParaType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docParaType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docParaType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docParaType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docParaType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docParaType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docParaType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docParaType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docParaType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docParaType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docParaType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docParaType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docParaType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docParaType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docParaType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docParaType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docParaType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docParaType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docParaType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docParaType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docParaType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docParaType">&amp;rfloor;</xsl:template>
<xsl:template match="linebreak" mode="docParaType">&amp;linebreak;</xsl:template>
<xsl:template match="hruler" mode="docParaType">&amp;hruler;</xsl:template>
<xsl:template match="preformatted" mode="docParaType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="programlisting" mode="docParaType">
<xsl:call-template name="listingType"/>
</xsl:template>
<xsl:template match="verbatim" mode="docParaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="indexentry" mode="docParaType">
<xsl:call-template name="docIndexEntryType"/>
</xsl:template>
<xsl:template match="orderedlist" mode="docParaType">
<xsl:call-template name="docListType"/>
</xsl:template>
<xsl:template match="itemizedlist" mode="docParaType">
<xsl:call-template name="docListType"/>
</xsl:template>
<xsl:template match="simplesect" mode="docParaType">
<xsl:call-template name="docSimpleSectType"/>
</xsl:template>
<xsl:template match="title" mode="docParaType">
<xsl:call-template name="docTitleType"/>
</xsl:template>
<xsl:template match="variablelist" mode="docParaType">
<xsl:call-template name="docVariableListType"/>
</xsl:template>
<xsl:template match="table" mode="docParaType">
<xsl:call-template name="docTableType"/>
</xsl:template>
<xsl:template match="heading" mode="docParaType">
<xsl:call-template name="docHeadingType"/>
</xsl:template>
<xsl:template match="image" mode="docParaType">
<xsl:call-template name="docImageType"/>
</xsl:template>
<xsl:template match="dotfile" mode="docParaType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="mscfile" mode="docParaType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="diafile" mode="docParaType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="toclist" mode="docParaType">
<xsl:call-template name="docTocListType"/>
</xsl:template>
<xsl:template match="language" mode="docParaType">
<xsl:call-template name="docLanguageType"/>
</xsl:template>
<xsl:template match="parameterlist" mode="docParaType">
<xsl:call-template name="docParamListType"/>
</xsl:template>
<xsl:template match="xrefsect" mode="docParaType">
<xsl:call-template name="docXRefSectType"/>
</xsl:template>
<xsl:template match="copydoc" mode="docParaType">
<xsl:call-template name="docCopyType"/>
</xsl:template>
<xsl:template match="blockquote" mode="docParaType">
<xsl:call-template name="docBlockQuoteType"/>
</xsl:template>
<xsl:template match="parblock" mode="docParaType">
<xsl:call-template name="docParBlockType"/>
</xsl:template>
<xsl:template match="*" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docMarkupType">
<xsl:apply-templates mode="docMarkupType"/>
</xsl:template>
<xsl:template match="ulink" mode="docMarkupType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docMarkupType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docMarkupType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docMarkupType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docMarkupType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docMarkupType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docMarkupType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docMarkupType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docMarkupType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docMarkupType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docMarkupType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docMarkupType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docMarkupType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docMarkupType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docMarkupType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docMarkupType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docMarkupType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docMarkupType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docMarkupType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docMarkupType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docMarkupType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docMarkupType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docMarkupType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docMarkupType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docMarkupType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docMarkupType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docMarkupType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docMarkupType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docMarkupType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docMarkupType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docMarkupType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docMarkupType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docMarkupType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docMarkupType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docMarkupType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docMarkupType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docMarkupType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docMarkupType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docMarkupType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docMarkupType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docMarkupType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docMarkupType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docMarkupType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docMarkupType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docMarkupType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docMarkupType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docMarkupType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docMarkupType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docMarkupType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docMarkupType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docMarkupType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docMarkupType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docMarkupType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docMarkupType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docMarkupType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docMarkupType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docMarkupType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docMarkupType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docMarkupType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docMarkupType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docMarkupType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docMarkupType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docMarkupType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docMarkupType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docMarkupType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docMarkupType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docMarkupType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docMarkupType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docMarkupType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docMarkupType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docMarkupType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docMarkupType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docMarkupType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docMarkupType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docMarkupType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docMarkupType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docMarkupType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docMarkupType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docMarkupType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docMarkupType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docMarkupType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docMarkupType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docMarkupType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docMarkupType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docMarkupType">&amp;rfloor;</xsl:template>
<xsl:template match="linebreak" mode="docMarkupType">&amp;linebreak;</xsl:template>
<xsl:template match="hruler" mode="docMarkupType">&amp;hruler;</xsl:template>
<xsl:template match="preformatted" mode="docMarkupType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="programlisting" mode="docMarkupType">
<xsl:call-template name="listingType"/>
</xsl:template>
<xsl:template match="verbatim" mode="docMarkupType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="indexentry" mode="docMarkupType">
<xsl:call-template name="docIndexEntryType"/>
</xsl:template>
<xsl:template match="orderedlist" mode="docMarkupType">
<xsl:call-template name="docListType"/>
</xsl:template>
<xsl:template match="itemizedlist" mode="docMarkupType">
<xsl:call-template name="docListType"/>
</xsl:template>
<xsl:template match="simplesect" mode="docMarkupType">
<xsl:call-template name="docSimpleSectType"/>
</xsl:template>
<xsl:template match="title" mode="docMarkupType">
<xsl:call-template name="docTitleType"/>
</xsl:template>
<xsl:template match="variablelist" mode="docMarkupType">
<xsl:call-template name="docVariableListType"/>
</xsl:template>
<xsl:template match="table" mode="docMarkupType">
<xsl:call-template name="docTableType"/>
</xsl:template>
<xsl:template match="heading" mode="docMarkupType">
<xsl:call-template name="docHeadingType"/>
</xsl:template>
<xsl:template match="image" mode="docMarkupType">
<xsl:call-template name="docImageType"/>
</xsl:template>
<xsl:template match="dotfile" mode="docMarkupType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="mscfile" mode="docMarkupType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="diafile" mode="docMarkupType">
<xsl:call-template name="docFileType"/>
</xsl:template>
<xsl:template match="toclist" mode="docMarkupType">
<xsl:call-template name="docTocListType"/>
</xsl:template>
<xsl:template match="language" mode="docMarkupType">
<xsl:call-template name="docLanguageType"/>
</xsl:template>
<xsl:template match="parameterlist" mode="docMarkupType">
<xsl:call-template name="docParamListType"/>
</xsl:template>
<xsl:template match="xrefsect" mode="docMarkupType">
<xsl:call-template name="docXRefSectType"/>
</xsl:template>
<xsl:template match="copydoc" mode="docMarkupType">
<xsl:call-template name="docCopyType"/>
</xsl:template>
<xsl:template match="blockquote" mode="docMarkupType">
<xsl:call-template name="docBlockQuoteType"/>
</xsl:template>
<xsl:template match="parblock" mode="docMarkupType">
<xsl:call-template name="docParBlockType"/>
</xsl:template>
<xsl:template match="*" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docURLLink">
<xsl:apply-templates mode="docURLLink"/>
</xsl:template>
<xsl:template match="ulink" mode="docURLLink">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docURLLink">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docURLLink">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docURLLink">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docURLLink">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docURLLink">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docURLLink">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docURLLink">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docURLLink">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docURLLink">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docURLLink">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docURLLink">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docURLLink">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docURLLink">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docURLLink">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docURLLink">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docURLLink">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docURLLink">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docURLLink">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docURLLink">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docURLLink">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docURLLink">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docURLLink">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docURLLink">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docURLLink">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docURLLink">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docURLLink">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docURLLink">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docURLLink">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docURLLink">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docURLLink">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docURLLink">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docURLLink">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docURLLink">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docURLLink">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docURLLink">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docURLLink">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docURLLink">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docURLLink">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docURLLink">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docURLLink">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docURLLink">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docURLLink">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docURLLink">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docURLLink">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docURLLink">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docURLLink">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docURLLink">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docURLLink">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docURLLink">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docURLLink">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docURLLink">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docURLLink">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docURLLink">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docURLLink">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docURLLink">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docURLLink">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docURLLink">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docURLLink">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docURLLink">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docURLLink">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docURLLink">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docURLLink">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docURLLink">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docURLLink">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docURLLink">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docURLLink">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docURLLink">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docURLLink">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docURLLink">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docURLLink">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docURLLink">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docURLLink">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docURLLink">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docURLLink">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docURLLink">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docURLLink">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docURLLink">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docURLLink">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docURLLink">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docURLLink">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docURLLink">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docURLLink">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docURLLink">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docURLLink">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docURLLink">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docURLLink">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docAnchorType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docAnchorType">
<xsl:apply-templates mode="docAnchorType"/>
</xsl:template>
<xsl:template match="*" mode="docFormulaType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docFormulaType">
<xsl:apply-templates mode="docFormulaType"/>
</xsl:template>
<xsl:template name="docIndexEntryType">
<xsl:apply-templates mode="docIndexEntryType"/>
</xsl:template>
<xsl:template match="primaryie" mode="docIndexEntryType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="secondaryie" mode="docIndexEntryType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docListType">
<xsl:apply-templates mode="docListType"/>
</xsl:template>
<xsl:template match="listitem" mode="docListType">
<xsl:call-template name="docListItemType"/>
</xsl:template>
<xsl:template name="docListItemType">
<xsl:apply-templates mode="docListItemType"/>
</xsl:template>
<xsl:template match="para" mode="docListItemType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template name="docSimpleSectType">
<xsl:apply-templates mode="docSimpleSectType"/>
</xsl:template>
<xsl:template match="title" mode="docSimpleSectType">
<xsl:call-template name="docTitleType"/>
</xsl:template>
<xsl:template match="para" mode="docSimpleSectType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="simplesectsep" mode="docSimpleSectType">&amp;simplesectsep;</xsl:template>
<xsl:template name="docVarListEntryType">
<xsl:apply-templates mode="docVarListEntryType"/>
</xsl:template>
<xsl:template match="term" mode="docVarListEntryType">
<xsl:call-template name="docTitleType"/>
</xsl:template>
<xsl:template name="docVariableListType">
<xsl:apply-templates mode="docVariableListType"/>
</xsl:template>
<xsl:template match="varlistentry" mode="docVariableListType">
<xsl:call-template name="docVarListEntryType"/>
</xsl:template>
<xsl:template match="listitem" mode="docVariableListType">
<xsl:call-template name="docListItemType"/>
</xsl:template>
<xsl:template match="*" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docRefTextType">
<xsl:apply-templates mode="docRefTextType"/>
</xsl:template>
<xsl:template match="ulink" mode="docRefTextType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docRefTextType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docRefTextType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docRefTextType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docRefTextType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docRefTextType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docRefTextType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docRefTextType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docRefTextType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docRefTextType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docRefTextType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docRefTextType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docRefTextType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docRefTextType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docRefTextType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docRefTextType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docRefTextType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docRefTextType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docRefTextType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docRefTextType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docRefTextType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docRefTextType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docRefTextType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docRefTextType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docRefTextType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docRefTextType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docRefTextType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docRefTextType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docRefTextType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docRefTextType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docRefTextType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docRefTextType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docRefTextType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docRefTextType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docRefTextType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docRefTextType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docRefTextType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docRefTextType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docRefTextType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docRefTextType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docRefTextType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docRefTextType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docRefTextType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docRefTextType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docRefTextType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docRefTextType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docRefTextType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docRefTextType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docRefTextType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docRefTextType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docRefTextType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docRefTextType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docRefTextType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docRefTextType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docRefTextType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docRefTextType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docRefTextType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docRefTextType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docRefTextType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docRefTextType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docRefTextType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docRefTextType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docRefTextType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docRefTextType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docRefTextType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docRefTextType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docRefTextType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docRefTextType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docRefTextType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docRefTextType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docRefTextType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docRefTextType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docRefTextType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docRefTextType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docRefTextType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docRefTextType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docRefTextType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docRefTextType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docRefTextType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docRefTextType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docRefTextType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docRefTextType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docRefTextType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docRefTextType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docRefTextType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docRefTextType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docRefTextType">&amp;rfloor;</xsl:template>
<xsl:template name="docTableType">
<xsl:apply-templates mode="docTableType"/>
</xsl:template>
<xsl:template match="row" mode="docTableType">
<xsl:call-template name="docRowType"/>
</xsl:template>
<xsl:template match="caption" mode="docTableType">
<xsl:call-template name="docCaptionType"/>
</xsl:template>
<xsl:template name="docRowType">
<xsl:apply-templates mode="docRowType"/>
</xsl:template>
<xsl:template match="entry" mode="docRowType">
<xsl:call-template name="docEntryType"/>
</xsl:template>
<xsl:template name="docEntryType">
<xsl:apply-templates mode="docEntryType"/>
</xsl:template>
<xsl:template match="para" mode="docEntryType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="*" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docCaptionType">
<xsl:apply-templates mode="docCaptionType"/>
</xsl:template>
<xsl:template match="ulink" mode="docCaptionType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docCaptionType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docCaptionType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docCaptionType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docCaptionType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docCaptionType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docCaptionType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docCaptionType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docCaptionType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docCaptionType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docCaptionType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docCaptionType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docCaptionType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docCaptionType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docCaptionType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docCaptionType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docCaptionType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docCaptionType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docCaptionType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docCaptionType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docCaptionType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docCaptionType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docCaptionType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docCaptionType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docCaptionType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docCaptionType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docCaptionType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docCaptionType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docCaptionType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docCaptionType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docCaptionType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docCaptionType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docCaptionType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docCaptionType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docCaptionType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docCaptionType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docCaptionType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docCaptionType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docCaptionType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docCaptionType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docCaptionType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docCaptionType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docCaptionType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docCaptionType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docCaptionType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docCaptionType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docCaptionType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docCaptionType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docCaptionType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docCaptionType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docCaptionType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docCaptionType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docCaptionType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docCaptionType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docCaptionType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docCaptionType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docCaptionType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docCaptionType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docCaptionType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docCaptionType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docCaptionType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docCaptionType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docCaptionType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docCaptionType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docCaptionType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docCaptionType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docCaptionType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docCaptionType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docCaptionType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docCaptionType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docCaptionType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docCaptionType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docCaptionType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docCaptionType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docCaptionType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docCaptionType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docCaptionType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docCaptionType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docCaptionType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docCaptionType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docCaptionType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docCaptionType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docCaptionType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docCaptionType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docCaptionType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docCaptionType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docCaptionType">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docHeadingType">
<xsl:apply-templates mode="docHeadingType"/>
</xsl:template>
<xsl:template match="ulink" mode="docHeadingType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docHeadingType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docHeadingType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docHeadingType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docHeadingType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docHeadingType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docHeadingType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docHeadingType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docHeadingType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docHeadingType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docHeadingType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docHeadingType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docHeadingType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docHeadingType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docHeadingType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docHeadingType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docHeadingType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docHeadingType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docHeadingType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docHeadingType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docHeadingType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docHeadingType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docHeadingType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docHeadingType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docHeadingType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docHeadingType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docHeadingType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docHeadingType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docHeadingType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docHeadingType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docHeadingType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docHeadingType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docHeadingType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docHeadingType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docHeadingType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docHeadingType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docHeadingType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docHeadingType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docHeadingType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docHeadingType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docHeadingType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docHeadingType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docHeadingType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docHeadingType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docHeadingType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docHeadingType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docHeadingType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docHeadingType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docHeadingType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docHeadingType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docHeadingType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docHeadingType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docHeadingType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docHeadingType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docHeadingType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docHeadingType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docHeadingType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docHeadingType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docHeadingType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docHeadingType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docHeadingType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docHeadingType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docHeadingType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docHeadingType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docHeadingType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docHeadingType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docHeadingType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docHeadingType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docHeadingType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docHeadingType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docHeadingType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docHeadingType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docHeadingType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docHeadingType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docHeadingType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docHeadingType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docHeadingType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docHeadingType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docHeadingType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docHeadingType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docHeadingType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docHeadingType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docHeadingType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docHeadingType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docHeadingType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docHeadingType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docHeadingType">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docImageType">
<xsl:apply-templates mode="docImageType"/>
</xsl:template>
<xsl:template match="ulink" mode="docImageType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docImageType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docImageType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docImageType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docImageType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docImageType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docImageType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docImageType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docImageType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docImageType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docImageType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docImageType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docImageType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docImageType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docImageType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docImageType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docImageType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docImageType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docImageType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docImageType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docImageType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docImageType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docImageType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docImageType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docImageType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docImageType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docImageType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docImageType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docImageType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docImageType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docImageType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docImageType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docImageType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docImageType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docImageType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docImageType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docImageType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docImageType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docImageType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docImageType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docImageType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docImageType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docImageType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docImageType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docImageType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docImageType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docImageType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docImageType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docImageType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docImageType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docImageType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docImageType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docImageType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docImageType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docImageType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docImageType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docImageType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docImageType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docImageType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docImageType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docImageType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docImageType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docImageType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docImageType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docImageType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docImageType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docImageType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docImageType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docImageType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docImageType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docImageType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docImageType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docImageType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docImageType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docImageType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docImageType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docImageType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docImageType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docImageType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docImageType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docImageType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docImageType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docImageType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docImageType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docImageType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docImageType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docImageType">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docFileType">
<xsl:apply-templates mode="docFileType"/>
</xsl:template>
<xsl:template match="ulink" mode="docFileType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docFileType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docFileType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docFileType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docFileType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docFileType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docFileType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docFileType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docFileType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docFileType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docFileType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docFileType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docFileType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docFileType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docFileType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docFileType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docFileType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docFileType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docFileType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docFileType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docFileType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docFileType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docFileType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docFileType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docFileType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docFileType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docFileType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docFileType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docFileType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docFileType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docFileType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docFileType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docFileType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docFileType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docFileType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docFileType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docFileType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docFileType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docFileType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docFileType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docFileType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docFileType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docFileType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docFileType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docFileType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docFileType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docFileType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docFileType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docFileType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docFileType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docFileType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docFileType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docFileType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docFileType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docFileType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docFileType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docFileType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docFileType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docFileType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docFileType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docFileType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docFileType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docFileType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docFileType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docFileType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docFileType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docFileType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docFileType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docFileType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docFileType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docFileType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docFileType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docFileType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docFileType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docFileType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docFileType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docFileType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docFileType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docFileType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docFileType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docFileType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docFileType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docFileType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docFileType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docFileType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docFileType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docFileType">&amp;rfloor;</xsl:template>
<xsl:template match="*" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docTocItemType">
<xsl:apply-templates mode="docTocItemType"/>
</xsl:template>
<xsl:template match="ulink" mode="docTocItemType">
<xsl:call-template name="docURLLink"/>
</xsl:template>
<xsl:template match="bold" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="emphasis" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="computeroutput" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="subscript" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="superscript" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="center" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="small" mode="docTocItemType">
<xsl:call-template name="docMarkupType"/>
</xsl:template>
<xsl:template match="htmlonly" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="manonly" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xmlonly" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="rtfonly" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="latexonly" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="dot" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="msc" mode="docTocItemType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="anchor" mode="docTocItemType">
<xsl:call-template name="docAnchorType"/>
</xsl:template>
<xsl:template match="formula" mode="docTocItemType">
<xsl:call-template name="docFormulaType"/>
</xsl:template>
<xsl:template match="ref" mode="docTocItemType">
<xsl:call-template name="docRefTextType"/>
</xsl:template>
<xsl:template match="copy" mode="docTocItemType">&amp;copy;</xsl:template>
<xsl:template match="trademark" mode="docTocItemType">&amp;trademark;</xsl:template>
<xsl:template match="registered" mode="docTocItemType">&amp;registered;</xsl:template>
<xsl:template match="lsquo" mode="docTocItemType">&amp;lsquo;</xsl:template>
<xsl:template match="rsquo" mode="docTocItemType">&amp;rsquo;</xsl:template>
<xsl:template match="ldquo" mode="docTocItemType">&amp;ldquo;</xsl:template>
<xsl:template match="rdquo" mode="docTocItemType">&amp;rdquo;</xsl:template>
<xsl:template match="ndash" mode="docTocItemType">&amp;ndash;</xsl:template>
<xsl:template match="mdash" mode="docTocItemType">&amp;mdash;</xsl:template>
<xsl:template match="umlaut" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="acute" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="grave" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="circ" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="slash" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="tilde" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="cedil" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="ring" mode="docTocItemType">
<xsl:value-of select="@char"/>
</xsl:template>
<xsl:template match="szlig" mode="docTocItemType">&amp;szlig;</xsl:template>
<xsl:template match="nonbreakablespace" mode="docTocItemType">&amp;nbsp;</xsl:template>
<xsl:template match="aelig" mode="docTocItemType">&amp;aelig;</xsl:template>
<xsl:template match="AElig" mode="docTocItemType">&amp;AElig;</xsl:template>
<xsl:template match="Gamma" mode="docTocItemType">&amp;Gamma;</xsl:template>
<xsl:template match="Delta" mode="docTocItemType">&amp;Delta;</xsl:template>
<xsl:template match="Theta" mode="docTocItemType">&amp;Theta;</xsl:template>
<xsl:template match="Lambda" mode="docTocItemType">&amp;Lambda;</xsl:template>
<xsl:template match="Xi" mode="docTocItemType">&amp;Xi;</xsl:template>
<xsl:template match="Pi" mode="docTocItemType">&amp;Pi;</xsl:template>
<xsl:template match="Sigma" mode="docTocItemType">&amp;Sigma;</xsl:template>
<xsl:template match="Upsilon" mode="docTocItemType">&amp;Upsilon;</xsl:template>
<xsl:template match="Phi" mode="docTocItemType">&amp;Phi;</xsl:template>
<xsl:template match="Psi" mode="docTocItemType">&amp;Psi;</xsl:template>
<xsl:template match="Omega" mode="docTocItemType">&amp;Omega;</xsl:template>
<xsl:template match="alpha" mode="docTocItemType">&amp;alpha;</xsl:template>
<xsl:template match="beta" mode="docTocItemType">&amp;beta;</xsl:template>
<xsl:template match="gamma" mode="docTocItemType">&amp;gamma;</xsl:template>
<xsl:template match="delta" mode="docTocItemType">&amp;delta;</xsl:template>
<xsl:template match="epsilon" mode="docTocItemType">&amp;epsilon;</xsl:template>
<xsl:template match="zeta" mode="docTocItemType">&amp;zeta;</xsl:template>
<xsl:template match="eta" mode="docTocItemType">&amp;eta;</xsl:template>
<xsl:template match="theta" mode="docTocItemType">&amp;theta;</xsl:template>
<xsl:template match="iota" mode="docTocItemType">&amp;iota;</xsl:template>
<xsl:template match="kappa" mode="docTocItemType">&amp;kappa;</xsl:template>
<xsl:template match="lambda" mode="docTocItemType">&amp;lambda;</xsl:template>
<xsl:template match="mu" mode="docTocItemType">&amp;mu;</xsl:template>
<xsl:template match="nu" mode="docTocItemType">&amp;nu;</xsl:template>
<xsl:template match="xi" mode="docTocItemType">&amp;xi;</xsl:template>
<xsl:template match="pi" mode="docTocItemType">&amp;pi;</xsl:template>
<xsl:template match="rho" mode="docTocItemType">&amp;rho;</xsl:template>
<xsl:template match="sigma" mode="docTocItemType">&amp;sigma;</xsl:template>
<xsl:template match="tau" mode="docTocItemType">&amp;tau;</xsl:template>
<xsl:template match="upsilon" mode="docTocItemType">&amp;upsilon;</xsl:template>
<xsl:template match="phi" mode="docTocItemType">&amp;phi;</xsl:template>
<xsl:template match="chi" mode="docTocItemType">&amp;chi;</xsl:template>
<xsl:template match="psi" mode="docTocItemType">&amp;psi;</xsl:template>
<xsl:template match="omega" mode="docTocItemType">&amp;omega;</xsl:template>
<xsl:template match="sigmaf" mode="docTocItemType">&amp;sigmaf;</xsl:template>
<xsl:template match="sect" mode="docTocItemType">&amp;sect;</xsl:template>
<xsl:template match="deg" mode="docTocItemType">&amp;deg;</xsl:template>
<xsl:template match="prime" mode="docTocItemType">&amp;prime;</xsl:template>
<xsl:template match="Prime" mode="docTocItemType">&amp;Prime;</xsl:template>
<xsl:template match="infin" mode="docTocItemType">&amp;infin;</xsl:template>
<xsl:template match="empty" mode="docTocItemType">&amp;empty;</xsl:template>
<xsl:template match="plusmn" mode="docTocItemType">&amp;plusmn;</xsl:template>
<xsl:template match="times" mode="docTocItemType">&amp;times;</xsl:template>
<xsl:template match="minus" mode="docTocItemType">&amp;minus;</xsl:template>
<xsl:template match="sdot" mode="docTocItemType">&amp;sdot;</xsl:template>
<xsl:template match="part" mode="docTocItemType">&amp;part;</xsl:template>
<xsl:template match="nabla" mode="docTocItemType">&amp;nabla;</xsl:template>
<xsl:template match="radic" mode="docTocItemType">&amp;radic;</xsl:template>
<xsl:template match="perp" mode="docTocItemType">&amp;perp;</xsl:template>
<xsl:template match="sum" mode="docTocItemType">&amp;sum;</xsl:template>
<xsl:template match="int" mode="docTocItemType">&amp;int;</xsl:template>
<xsl:template match="prod" mode="docTocItemType">&amp;prod;</xsl:template>
<xsl:template match="sim" mode="docTocItemType">&amp;sim;</xsl:template>
<xsl:template match="asymp" mode="docTocItemType">&amp;asymp;</xsl:template>
<xsl:template match="ne" mode="docTocItemType">&amp;ne;</xsl:template>
<xsl:template match="equiv" mode="docTocItemType">&amp;equiv;</xsl:template>
<xsl:template match="prop" mode="docTocItemType">&amp;prop;</xsl:template>
<xsl:template match="le" mode="docTocItemType">&amp;le;</xsl:template>
<xsl:template match="ge" mode="docTocItemType">&amp;ge;</xsl:template>
<xsl:template match="larr" mode="docTocItemType">&amp;larr;</xsl:template>
<xsl:template match="rarr" mode="docTocItemType">&amp;rarr;</xsl:template>
<xsl:template match="isin" mode="docTocItemType">&amp;isin;</xsl:template>
<xsl:template match="notin" mode="docTocItemType">&amp;notin;</xsl:template>
<xsl:template match="lceil" mode="docTocItemType">&amp;lceil;</xsl:template>
<xsl:template match="rceil" mode="docTocItemType">&amp;rceil;</xsl:template>
<xsl:template match="lfloor" mode="docTocItemType">&amp;lfloor;</xsl:template>
<xsl:template match="rfloor" mode="docTocItemType">&amp;rfloor;</xsl:template>
<xsl:template name="docTocListType">
<xsl:apply-templates mode="docTocListType"/>
</xsl:template>
<xsl:template match="tocitem" mode="docTocListType">
<xsl:call-template name="docTocItemType"/>
</xsl:template>
<xsl:template name="docLanguageType">
<xsl:apply-templates mode="docLanguageType"/>
</xsl:template>
<xsl:template match="para" mode="docLanguageType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template name="docParamListType">
<xsl:apply-templates mode="docParamListType"/>
</xsl:template>
<xsl:template match="parameteritem" mode="docParamListType">
<xsl:call-template name="docParamListItem"/>
</xsl:template>
<xsl:template name="docParamListItem">
<xsl:apply-templates mode="docParamListItem"/>
</xsl:template>
<xsl:template match="parameternamelist" mode="docParamListItem">
<xsl:call-template name="docParamNameList"/>
</xsl:template>
<xsl:template match="parameterdescription" mode="docParamListItem">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template name="docParamNameList">
<xsl:apply-templates mode="docParamNameList"/>
</xsl:template>
<xsl:template match="parametertype" mode="docParamNameList">
<xsl:call-template name="docParamType"/>
</xsl:template>
<xsl:template match="parametername" mode="docParamNameList">
<xsl:call-template name="docParamName"/>
</xsl:template>
<xsl:template match="*" mode="docParamType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docParamType">
<xsl:apply-templates mode="docParamType"/>
</xsl:template>
<xsl:template match="ref" mode="docParamType">
<xsl:call-template name="refTextType"/>
</xsl:template>
<xsl:template match="*" mode="docParamName">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template name="docParamName">
<xsl:apply-templates mode="docParamName"/>
</xsl:template>
<xsl:template match="ref" mode="docParamName">
<xsl:call-template name="refTextType"/>
</xsl:template>
<xsl:template name="docXRefSectType">
<xsl:apply-templates mode="docXRefSectType"/>
</xsl:template>
<xsl:template match="xreftitle" mode="docXRefSectType">
<xsl:value-of select="text()"/>
</xsl:template>
<xsl:template match="xrefdescription" mode="docXRefSectType">
<xsl:call-template name="descriptionType"/>
</xsl:template>
<xsl:template name="docCopyType">
<xsl:apply-templates mode="docCopyType"/>
</xsl:template>
<xsl:template match="para" mode="docCopyType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template match="sect1" mode="docCopyType">
<xsl:call-template name="docSect1Type"/>
</xsl:template>
<xsl:template match="internal" mode="docCopyType">
<xsl:call-template name="docInternalType"/>
</xsl:template>
<xsl:template name="docBlockQuoteType">
<xsl:apply-templates mode="docBlockQuoteType"/>
</xsl:template>
<xsl:template match="para" mode="docBlockQuoteType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template name="docParBlockType">
<xsl:apply-templates mode="docParBlockType"/>
</xsl:template>
<xsl:template match="para" mode="docParBlockType">
<xsl:call-template name="docParaType"/>
</xsl:template>
<xsl:template name="docCharType">
<xsl:apply-templates mode="docCharType"/>
</xsl:template>
<xsl:template name="docEmptyType">
<xsl:apply-templates mode="docEmptyType"/>
</xsl:template>
</xsl:stylesheet>
